com.ibm.openpages.api.respview

## Interface IRespViewGuidance

- All Known Subinterfaces:
    IRespViewField

      public interface IRespViewGuidance

  Represents the right-side guidance area of the responsive view.

  Since:
    8.0.0.1

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<IRespViewField>` | `getFields()` Returns the list of responsive view fields
    `java.lang.String` | `getHelpText()` Returns the help text for the field.
    `java.util.List<ILabel>` | `getHelpTextLabels()` Returns the field help text labels for all locales.
    `java.lang.String` | `getHelpTopic()` Returns the help topic for the field.
    `java.util.List<ILabel>` | `getHelpTopicLabels()` Returns the field help topic labels for all locales.
    `void` | `setFields(java.util.List<IRespViewField> fields)` Sets the list of responsive view fields
    `void` | `setHelpText(java.lang.String helpText)` Set the field help text.
    `void` | `setHelpTextLabels(java.util.List<ILabel> helpTextLabels)` Sets the list of field help text labels.
    `void` | `setHelpTopic(java.lang.String helpTopic)` Set the field help topic.
    `void` | `setHelpTopicLabels(java.util.List<ILabel> helpTopicLabels)` Sets the list of field help topic labels.

- - ### Method Detail

    - #### getFields

          java.util.List<IRespViewField> getFields()

      Returns the list of responsive view fields
      Returns:
        the list of `IRespViewField`

    - #### setFields

          void setFields(java.util.List<IRespViewField> fields)

      Sets the list of responsive view fields
      Parameters:
        `fields` -

    - #### getHelpTopic

          java.lang.String getHelpTopic()

      Returns the help topic for the field. Effective only when responsive view field type is `RespViewFieldType.help`
      Returns:
        the help topic as string

    - #### setHelpTopic

          void setHelpTopic(java.lang.String helpTopic)

      Set the field help topic. Effective only when responsive view field type is `RespViewFieldType.help`
      Parameters:
        `helpTopic` - as String

    - #### getHelpTopicLabels

          java.util.List<ILabel> getHelpTopicLabels()

      Returns the field help topic labels for all locales. Effective only when responsive view field type is `RespViewFieldType.help`
      Returns:
        `ILabel` the help topic labels

    - #### setHelpTopicLabels

          void setHelpTopicLabels(java.util.List<ILabel> helpTopicLabels)

      Sets the list of field help topic labels. Effective only when responsive view field type is `RespViewFieldType.help`
      Parameters:
        `helpTopicLabels` - the list of `ILabel`

    - #### getHelpText

          java.lang.String getHelpText()

      Returns the help text for the field. Effective only when responsive view field type is `RespViewFieldType.help`
      Returns:
        the help text as string

    - #### setHelpText

          void setHelpText(java.lang.String helpText)

      Set the field help text. Effective only when responsive view field type is `RespViewFieldType.help`
      Parameters:
        `helpText` - as String

    - #### getHelpTextLabels

          java.util.List<ILabel> getHelpTextLabels()

      Returns the field help text labels for all locales. Effective only when responsive view field type is `RespViewFieldType.help`
      Returns:
        `ILabel` the help text labels

    - #### setHelpTextLabels

          void setHelpTextLabels(java.util.List<ILabel> helpTextLabels)

      Sets the list of field help text labels. Effective only when responsive view field type is `RespViewFieldType.help`
      Parameters:
        `helpTextLabels` - the list of `ILabel`

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.